import { useParams } from 'next/navigation';
import { useLocale } from 'use-intl';
import { LOCALE_SEGMENT_NAME } from '../shared/next-intl.esm4.js';

function useClientLocale() {
  var locale;
  var params = useParams();
  if (params[LOCALE_SEGMENT_NAME]) {
    locale = params[LOCALE_SEGMENT_NAME];
  } else {
    // eslint-disable-next-line react-hooks/rules-of-hooks -- Reading from context conditionally is fine
    locale = useLocale();
  }
  return locale;
}

export { useClientLocale as default };
//# sourceMappingURL=next-intl.esm2.js.map
